Skip to main content
GET
/
api
/
v1
/
topics
/
{topicKey}
Get a topic by key
curl --request GET \
  --url https://api.railmail.app/api/v1/topics/{topicKey} \
  --header 'X-API-Key: <api-key>'
{
  "topicKey": "<string>",
  "name": "<string>",
  "description": "<string>",
  "status": "<string>",
  "doubleOptInEnabled": true,
  "subscriberCount": 123,
  "activeSubscriberCount": 123,
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Path Parameters

topicKey
string
required

Topic key.

Response

Topic

topicKey
string
name
string
description
string | null
status
string
doubleOptInEnabled
boolean
subscriberCount
integer<int64> | null
activeSubscriberCount
integer<int64> | null
createdAt
string<date-time>